---
title: HTMLElement.click()
slug: Web/API/HTMLElement/click
tags:
  - API
  - HTML DOM
  - HTMLElement
  - Method
  - Reference
---
<div>
<div>{{ APIRef("HTML DOM") }}</div>
</div>

<p>The <code><strong>HTMLElement.click()</strong></code> method simulates a mouse click on an element.</p>

<p>When <code>click()</code> is used with supported elements (such as an {{HTMLElement("input")}}), it fires the element's click event. This event then bubbles up to elements higher in the document tree (or event chain) and fires their click events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>element</em>.click()</pre>

<h2 id="Example">Example</h2>

<p>Simulate a mouse-click when moving the mouse pointer over a checkbox:</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;input type="checkbox" id="myCheck" onmouseover="myFunction()" onclick="alert('click event occurred')"&gt;
&lt;/form&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">// On mouse-over, execute myFunction
function myFunction() {
  document.getElementById("myCheck").click();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'interaction.html#dom-click')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-2651361')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.click")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related event handlers
  <ul>
   <li>{{domxref("GlobalEventHandlers.onclick")}}</li>
   <li>{{domxref("GlobalEventHandlers.ondblclick")}}</li>
   <li>{{domxref("GlobalEventHandlers.onauxclick")}}</li>
  </ul>
 </li>
</ul>

<div id="eJOY__extension_root"></div>
